Jump to content
Kamills

Instalacja Karty Intel Pro Wirelles 3945abg

Recommended Posts

A możesz pokazać swój plik z konfiguracją repozytorium atrpms?

 

wlkeilem do pliku ATrpms.repo tresc jaka na poczatku podal Kamills

Share this post


Link to post
Share on other sites
wlkeilem do pliku ATrpms.repo tresc jaka na poczatku podal Kamills

 

Wydaje mi się, że powinieneś najpierw zainstalować ten pakiet z kluczem.

rpm --import http://ATrpms.net/RPM-GPG-KEY.atrpms

 

 

A potem odpalić polecenie jako root

yum install ipw3945

Share this post


Link to post
Share on other sites

Nie wydaje mi sie aby to poskutkowalo:

 

[[email protected] ~]# rpm --import http://ATrpms.net/RPM-GPG-KEY.atrpms
[[email protected] ~]# yum install ipw3945
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do
[[email protected] ~]#

 

//połączone//

 

Poprawka, po dodaniu klucza rpm --import http://ATrpms.net/RPM-GPG-KEY.atrpms powtorzylem wszystkie kroki z pierwszego postu i wyglada na to, ze karta dziala :)

Serdeczne dzieki

Share this post


Link to post
Share on other sites

Witam!

Zainstalowalem sterowniki ipw3945 tak jak to jest powszechnie opisywane. W modprobe.conf wklepalem:

 

install ipw3945 /sbin/modprobe --ignore-install ipw3945 ; sleep 0.5 ; /sbin/ipw3

945d --quiet

remove ipw3945 /sbin/ipw3945d --kill ; sbin/modprobe -r --ignore-remove ipw3945

 

Mam tam rowniez 'alias eth1 iwl3945', jesli to zahaszuje to za Chiny Ludowe nie widzi interfejsu eth1. Wpis 'alias eth1 ipw3945' tez nic nie daje. Musi byc wpis z iwl bo inaczej nie dziala.

Nie rozumiem tego, nie wiem dlaczego to tak dziwnie dziala ;] Jesli ktos moglby mnie oswiecic to bylbym wdzieczny ;]

 

Pozdrawiam

Share this post


Link to post
Share on other sites

A to "powszechne opisywanie" nie różni się od tutejszego?

 

Łączę tematy, bo nie ma sensu utrzymywać dwóch wątków o tym samym sprzęcie.

Share this post


Link to post
Share on other sites

Mam problem z instalacją. Posiadam ten moduł w moim laptopie, jednak podczas instalacji wyskakują jakieś błędy.

 

[[email protected] ~]$ su -
Hasło: 
[[email protected] ~]# yum install ipw3945 ieee80211-kmdl-$(uname -r) --enablerepo=atrpms
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
atrpms                    100% |=========================|  951 B    00:00     
primary.xml.gz            100% |=========================| 224 kB    00:01     
atrpms    : ################################################## 1240/1240
Resolving Dependencies
--> Running transaction check
---> Package ipw3945.i386 0:1.2.0-18.3.fc7 set to be updated
---> Package ieee80211-kmdl-2.6.21-1.3228.fc7.i686 0:1.2.16-18.fc7 set to be updated
--> Processing Dependency: ipw3945-kmdl-1.2.0-18.3.fc7 for package: ipw3945
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package ipw3945.i386 0:1.2.0-18.3.fc7 set to be updated
---> Package ipw3945-kmdl-2.6.21-1.3255.fc7.i686 0:1.2.0-18.3.fc7 set to be updated
Importing additional filelist information
filelists.xml.gz          100% |=========================| 817 kB    00:06     
atrpms    : ################################################## 1240/1240
filelists.sqlite.bz2      100% |=========================| 6.4 MB    00:53     
filelists.sqlite.bz2      100% |=========================| 2.3 MB    00:19     
--> Processing Dependency: /boot/vmlinuz-2.6.21-1.3255.fc7 for package: ipw3945-kmdl-2.6.21-1.3255.fc7
--> Processing Dependency: ieee80211-kmdl-2.6.21-1.3255.fc7 >= 1.1.11 for package: ipw3945-kmdl-2.6.21-1.3255.fc7
--> Processing Dependency: ipw3945-ucode >= 1.13 for package: ipw3945-kmdl-2.6.21-1.3255.fc7
--> Processing Dependency: ipw3945d >= 1.7.18 for package: ipw3945-kmdl-2.6.21-1.3255.fc7
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package ipw3945-ucode.noarch 0:1.14.2-4.at set to be updated
---> Package ipw3945-kmdl-2.6.21-1.3255.fc7.i686 0:1.2.0-18.3.fc7 set to be updated
---> Package ipw3945d.i386 0:1.7.22-4.at set to be updated
---> Package ieee80211-kmdl-2.6.21-1.3255.fc7.i686 0:1.2.16-18.fc7 set to be updated
--> Processing Dependency: /boot/vmlinuz-2.6.21-1.3255.fc7 for package: ipw3945-kmdl-2.6.21-1.3255.fc7
--> Processing Dependency: /boot/vmlinuz-2.6.21-1.3255.fc7 for package: ieee80211-kmdl-2.6.21-1.3255.fc7
--> Finished Dependency Resolution
Error: Missing Dependency: /boot/vmlinuz-2.6.21-1.3255.fc7 is needed by package ipw3945-kmdl-2.6.21-1.3255.fc7
Error: Missing Dependency: /boot/vmlinuz-2.6.21-1.3255.fc7 is needed by package ieee80211-kmdl-2.6.21-1.3255.fc7
[[email protected] ~]# rpm -qa |grep ipw
[[email protected] ~]#

 

Proszę o pomoc.

Share this post


Link to post
Share on other sites

Domyślnie instalowane jest "iwlwifi" a ten sterownik nie obsługuje "Monitor Mode", który jest dla mi bardzo potrzebny.

 

Dlatego nadal czekam aż ktoś miły pomoże mi rozwiązać mój problem.

Share this post


Link to post
Share on other sites

A co gwarantuje ten tryb - aktualizuje na biężąco i wyszukuje możliwe sieci do podłączenia? Bo jeśli tak to wychodzi ze na domyslnym sterowniu tez to jest mozliwe

Share this post


Link to post
Share on other sites
:blink: hmm... nie wiedziałem. Ale wydaje mi się, że ipw3945 jest bardziej rozpowszechnione, np. jeśli chodzi o działanie z kismetem. Jeżeli istnieje taka możliwość to przepraszam za bałagan, oraz prosiłbym o instrukcje jak skonfigurować obie rzeczy.

Share this post


Link to post
Share on other sites

No a wiec ja włączyłem jeszcze dwie usługi w systemie: NetworkManager i NetworkManagerDispatch (czy jakos) - sa one w System->Admministracja->Usługi (jeśli korzystasz z graficznych konfiguratorów). Włączasz je, restart kompa i kolo zegarka masz dwa monitory. Klik lewym przyciskiem na to i masz do wyboru do czego chcesz się podłączyć. Przynajmniej u mnie to działa :)

Share this post


Link to post
Share on other sites

dontry: wybacz, jednak chodzi mi o możiwość uruchomienia kismeta który ma więcej możliwości, a dotego potrzebuje jednak ipw3945

kefear: czy ja w tej chwili nie mam kernela w wersji 2.6.21-1.3228.fc7, bo chyba o to Ci chodziło?

Share this post


Link to post
Share on other sites
dontry: wybacz, jednak chodzi mi o możiwość uruchomienia kismeta który ma więcej możliwości, a dotego potrzebuje jednak ipw3945

kefear: czy ja w tej chwili nie mam kernela w wersji 2.6.21-1.3228.fc7, bo chyba o to Ci chodziło?

 

aaaa no tak, to sprobuj z 3255 jakowo tam jest napisane ;)

Share this post


Link to post
Share on other sites

Do tego też doszedłem, jednak nasuwają się dwa pytania:

Czy nie popsuje mi to systemu?

Jak zmienić kernel z wersji 2.6.21-1.3228.fc7 na 2.6.21-1.3255.fc7? (jestem zupełnie zielony, linuksem "zajmuję" się dopiero od dwóch tygodni. Mile widziane linki czy inne pomoce)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...